Package org.eclipse.birt.chart.model

# Interface ModelPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ModelPackageImpl`

public interface ModelPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `ModelFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ModelPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHART`
The meta object id for the '`Chart`' class.
`static final int`
`CHART__BLOCK`
The feature id for the 'Block' containment reference.
`static final int`
`CHART__DESCRIPTION`
The feature id for the 'Description' containment reference.
`static final int`
`CHART__DIMENSION`
The feature id for the 'Dimension' attribute.
`static final int`
`CHART__EMPTY_MESSAGE`
The feature id for the 'Empty Message' containment reference.
`static final int`
`CHART__EXTENDED_PROPERTIES`
The feature id for the 'Extended Properties' containment reference list.
`static final int`
`CHART__GRID_COLUMN_COUNT`
The feature id for the 'Grid Column Count' attribute.
`static final int`
`CHART__INTERACTIVITY`
The feature id for the 'Interactivity' containment reference.
`static final int`
`CHART__SAMPLE_DATA`
The feature id for the 'Sample Data' containment reference.
`static final int`
`CHART__SCRIPT`
The feature id for the 'Script' attribute.
`static final int`
`CHART__SERIES_THICKNESS`
The feature id for the 'Series Thickness' attribute.
`static final int`
`CHART__STYLES`
The feature id for the 'Styles' containment reference list.
`static final int`
`CHART__SUB_TYPE`
The feature id for the 'Sub Type' attribute.
`static final int`
`CHART__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`CHART__UNITS`
The feature id for the 'Units' attribute.
`static final int`
`CHART__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`CHART_FEATURE_COUNT`
The number of structural features of the 'Chart' class.
`static final int`
`CHART_WITH_AXES`
The meta object id for the '`Chart With Axes`' class.
`static final int`
`CHART_WITH_AXES__AXES`
The feature id for the 'Axes' containment reference list.
`static final int`
`CHART_WITH_AXES__BLOCK`
The feature id for the 'Block' containment reference.
`static final int`
`CHART_WITH_AXES__DESCRIPTION`
The feature id for the 'Description' containment reference.
`static final int`
`CHART_WITH_AXES__DIMENSION`
The feature id for the 'Dimension' attribute.
`static final int`
`CHART_WITH_AXES__EMPTY_MESSAGE`
The feature id for the 'Empty Message' containment reference.
`static final int`
`CHART_WITH_AXES__EXTENDED_PROPERTIES`
The feature id for the 'Extended Properties' containment reference list.
`static final int`
`CHART_WITH_AXES__FLOOR_FILL`
The feature id for the 'Floor Fill' containment reference.
`static final int`
`CHART_WITH_AXES__GRID_COLUMN_COUNT`
The feature id for the 'Grid Column Count' attribute.
`static final int`
`CHART_WITH_AXES__INTERACTIVITY`
The feature id for the 'Interactivity' containment reference.
`static final int`
`CHART_WITH_AXES__ORIENTATION`
The feature id for the 'Orientation' attribute.
`static final int`
`CHART_WITH_AXES__REVERSE_CATEGORY`
The feature id for the 'Reverse Category' attribute.
`static final int`
`CHART_WITH_AXES__ROTATION`
The feature id for the 'Rotation' containment reference.
`static final int`
`CHART_WITH_AXES__SAMPLE_DATA`
The feature id for the 'Sample Data' containment reference.
`static final int`
`CHART_WITH_AXES__SCRIPT`
The feature id for the 'Script' attribute.
`static final int`
`CHART_WITH_AXES__SERIES_THICKNESS`
The feature id for the 'Series Thickness' attribute.
`static final int`
`CHART_WITH_AXES__STUDY_LAYOUT`
The feature id for the 'Study Layout' attribute.
`static final int`
`CHART_WITH_AXES__STYLES`
The feature id for the 'Styles' containment reference list.
`static final int`
`CHART_WITH_AXES__SUB_TYPE`
The feature id for the 'Sub Type' attribute.
`static final int`
`CHART_WITH_AXES__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`CHART_WITH_AXES__UNIT_SPACING`
The feature id for the 'Unit Spacing' attribute.
`static final int`
`CHART_WITH_AXES__UNITS`
The feature id for the 'Units' attribute.
`static final int`
`CHART_WITH_AXES__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`CHART_WITH_AXES__WALL_FILL`
The feature id for the 'Wall Fill' containment reference.
`static final int`
`CHART_WITH_AXES_FEATURE_COUNT`
The number of structural features of the 'Chart With Axes' class.
`static final int`
`CHART_WITHOUT_AXES`
The meta object id for the '`Chart Without Axes`' class.
`static final int`
`CHART_WITHOUT_AXES__BLOCK`
The feature id for the 'Block' containment reference.
`static final int`
`CHART_WITHOUT_AXES__COVERAGE`
The feature id for the 'Coverage' attribute.
`static final int`
`CHART_WITHOUT_AXES__DESCRIPTION`
The feature id for the 'Description' containment reference.
`static final int`
`CHART_WITHOUT_AXES__DIMENSION`
The feature id for the 'Dimension' attribute.
`static final int`
`CHART_WITHOUT_AXES__EMPTY_MESSAGE`
The feature id for the 'Empty Message' containment reference.
`static final int`
`CHART_WITHOUT_AXES__EXTENDED_PROPERTIES`
The feature id for the 'Extended Properties' containment reference list.
`static final int`
`CHART_WITHOUT_AXES__GRID_COLUMN_COUNT`
The feature id for the 'Grid Column Count' attribute.
`static final int`
`CHART_WITHOUT_AXES__INTERACTIVITY`
The feature id for the 'Interactivity' containment reference.
`static final int`
`CHART_WITHOUT_AXES__MIN_SLICE`
The feature id for the 'Min Slice' attribute.
`static final int`
`CHART_WITHOUT_AXES__MIN_SLICE_LABEL`
The feature id for the 'Min Slice Label' attribute.
`static final int`
`CHART_WITHOUT_AXES__MIN_SLICE_PERCENT`
The feature id for the 'Min Slice Percent' attribute.
`static final int`
`CHART_WITHOUT_AXES__SAMPLE_DATA`
The feature id for the 'Sample Data' containment reference.
`static final int`
`CHART_WITHOUT_AXES__SCRIPT`
The feature id for the 'Script' attribute.
`static final int`
`CHART_WITHOUT_AXES__SERIES_DEFINITIONS`
The feature id for the 'Series Definitions' containment reference list.
`static final int`
`CHART_WITHOUT_AXES__SERIES_THICKNESS`
The feature id for the 'Series Thickness' attribute.
`static final int`
`CHART_WITHOUT_AXES__STYLES`
The feature id for the 'Styles' containment reference list.
`static final int`
`CHART_WITHOUT_AXES__SUB_TYPE`
The feature id for the 'Sub Type' attribute.
`static final int`
`CHART_WITHOUT_AXES__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`CHART_WITHOUT_AXES__UNITS`
The feature id for the 'Units' attribute.
`static final int`
`CHART_WITHOUT_AXES__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`CHART_WITHOUT_AXES_FEATURE_COUNT`
The number of structural features of the 'Chart Without Axes' class.
`static final int`
`COVERAGE_TYPE`
The meta object id for the 'Coverage Type' data type.
`static final int`
`COVERAGE_TYPE_OBJECT`
The meta object id for the 'Coverage Type Object' data type.
`static final int`
`DIAL_CHART`
The meta object id for the '`Dial Chart`' class.
`static final int`
`DIAL_CHART__BLOCK`
The feature id for the 'Block' containment reference.
`static final int`
`DIAL_CHART__COVERAGE`
The feature id for the 'Coverage' attribute.
`static final int`
`DIAL_CHART__DESCRIPTION`
The feature id for the 'Description' containment reference.
`static final int`
`DIAL_CHART__DIAL_SUPERIMPOSITION`
The feature id for the 'Dial Superimposition' attribute.
`static final int`
`DIAL_CHART__DIMENSION`
The feature id for the 'Dimension' attribute.
`static final int`
`DIAL_CHART__EMPTY_MESSAGE`
The feature id for the 'Empty Message' containment reference.
`static final int`
`DIAL_CHART__EXTENDED_PROPERTIES`
The feature id for the 'Extended Properties' containment reference list.
`static final int`
`DIAL_CHART__GRID_COLUMN_COUNT`
The feature id for the 'Grid Column Count' attribute.
`static final int`
`DIAL_CHART__INTERACTIVITY`
The feature id for the 'Interactivity' containment reference.
`static final int`
`DIAL_CHART__MIN_SLICE`
The feature id for the 'Min Slice' attribute.
`static final int`
`DIAL_CHART__MIN_SLICE_LABEL`
The feature id for the 'Min Slice Label' attribute.
`static final int`
`DIAL_CHART__MIN_SLICE_PERCENT`
The feature id for the 'Min Slice Percent' attribute.
`static final int`
`DIAL_CHART__SAMPLE_DATA`
The feature id for the 'Sample Data' containment reference.
`static final int`
`DIAL_CHART__SCRIPT`
The feature id for the 'Script' attribute.
`static final int`
`DIAL_CHART__SERIES_DEFINITIONS`
The feature id for the 'Series Definitions' containment reference list.
`static final int`
`DIAL_CHART__SERIES_THICKNESS`
The feature id for the 'Series Thickness' attribute.
`static final int`
`DIAL_CHART__STYLES`
The feature id for the 'Styles' containment reference list.
`static final int`
`DIAL_CHART__SUB_TYPE`
The feature id for the 'Sub Type' attribute.
`static final int`
`DIAL_CHART__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DIAL_CHART__UNITS`
The feature id for the 'Units' attribute.
`static final int`
`DIAL_CHART__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`DIAL_CHART_FEATURE_COUNT`
The number of structural features of the 'Dial Chart' class.
`static final ModelPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getChart()`
Returns the meta object for class ' `Chart`'.
`org.eclipse.emf.ecore.EReference`
`getChart_Block()`
Returns the meta object for the containment reference '`Block`'.
`org.eclipse.emf.ecore.EReference`
`getChart_Description()`
Returns the meta object for the containment reference '`Description`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_Dimension()`
Returns the meta object for the attribute '`Dimension`'.
`org.eclipse.emf.ecore.EReference`
`getChart_EmptyMessage()`
Returns the meta object for the containment reference '`Empty Message`'.
`org.eclipse.emf.ecore.EReference`
`getChart_ExtendedProperties()`
Returns the meta object for the containment reference list '`Extended Properties`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_GridColumnCount()`
Returns the meta object for the attribute '`Grid Column Count`'.
`org.eclipse.emf.ecore.EReference`
`getChart_Interactivity()`
Returns the meta object for the containment reference '`Interactivity`'.
`org.eclipse.emf.ecore.EReference`
`getChart_SampleData()`
Returns the meta object for the containment reference '`Sample Data`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_Script()`
Returns the meta object for the attribute '`Script`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_SeriesThickness()`
Returns the meta object for the attribute '`Series Thickness`'.
`org.eclipse.emf.ecore.EReference`
`getChart_Styles()`
Returns the meta object for the containment reference list '`Styles`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_SubType()`
Returns the meta object for the attribute '`Sub Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_Type()`
Returns the meta object for the attribute ' `Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_Units()`
Returns the meta object for the attribute '`Units`'.
`org.eclipse.emf.ecore.EAttribute`
`getChart_Version()`
Returns the meta object for the attribute '`Version`'.
`org.eclipse.emf.ecore.EClass`
`getChartWithAxes()`
Returns the meta object for class '`Chart With Axes`'.
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_Axes()`
Returns the meta object for the containment reference list '`Axes`'.
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_FloorFill()`
Returns the meta object for the containment reference '`Floor Fill`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_Orientation()`
Returns the meta object for the attribute '`Orientation`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_ReverseCategory()`
Returns the meta object for the attribute '`Reverse Category`'.
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_Rotation()`
Returns the meta object for the containment reference '`Rotation`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_StudyLayout()`
Returns the meta object for the attribute '`Study Layout`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_UnitSpacing()`
Returns the meta object for the attribute '`Unit Spacing`'.
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_WallFill()`
Returns the meta object for the containment reference '`Wall Fill`'.
`org.eclipse.emf.ecore.EClass`
`getChartWithoutAxes()`
Returns the meta object for class '`Chart Without Axes`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_Coverage()`
Returns the meta object for the attribute '`Coverage`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSlice()`
Returns the meta object for the attribute '`Min Slice`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSliceLabel()`
Returns the meta object for the attribute '`Min Slice Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSlicePercent()`
Returns the meta object for the attribute '`Min Slice Percent`'.
`org.eclipse.emf.ecore.EReference`
`getChartWithoutAxes_SeriesDefinitions()`
Returns the meta object for the containment reference list '`Series Definitions`'.
`org.eclipse.emf.ecore.EDataType`
`getCoverageType()`
Returns the meta object for data type 'Coverage Type'.
`org.eclipse.emf.ecore.EDataType`
`getCoverageTypeObject()`
Returns the meta object for data type '`Coverage Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getDialChart()`
Returns the meta object for class '`Dial Chart`'.
`org.eclipse.emf.ecore.EAttribute`
`getDialChart_DialSuperimposition()`
Returns the meta object for the attribute '`Dial Superimposition`'.
`ModelFactory`
`getModelFactory()`
Returns the factory that creates the instances of the model.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final ModelPackage eINSTANCE
The singleton instance of the package.

### CHART

static final int CHART
The meta object id for the '`Chart`' class.

See Also:
  - `ChartImpl`
  - `ModelPackageImpl.getChart()`
  - Constant Field Values

### CHART__VERSION

static final int CHART__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values

### CHART__TYPE

static final int CHART__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### CHART__SUB_TYPE

static final int CHART__SUB_TYPE
The feature id for the 'Sub Type' attribute.

See Also:
  - Constant Field Values

### CHART__DESCRIPTION

static final int CHART__DESCRIPTION
The feature id for the 'Description' containment reference.

See Also:
  - Constant Field Values

### CHART__BLOCK

static final int CHART__BLOCK
The feature id for the 'Block' containment reference.

See Also:
  - Constant Field Values

### CHART__DIMENSION

static final int CHART__DIMENSION
The feature id for the 'Dimension' attribute.

See Also:
  - Constant Field Values

### CHART__SCRIPT

static final int CHART__SCRIPT
The feature id for the 'Script' attribute.

See Also:
  - Constant Field Values

### CHART__UNITS

static final int CHART__UNITS
The feature id for the 'Units' attribute.

See Also:
  - Constant Field Values

### CHART__SERIES_THICKNESS

static final int CHART__SERIES_THICKNESS
The feature id for the 'Series Thickness' attribute.

See Also:
  - Constant Field Values

### CHART__GRID_COLUMN_COUNT

static final int CHART__GRID_COLUMN_COUNT
The feature id for the 'Grid Column Count' attribute.

See Also:
  - Constant Field Values

### CHART__EXTENDED_PROPERTIES

static final int CHART__EXTENDED_PROPERTIES
The feature id for the 'Extended Properties' containment reference list.

See Also:
  - Constant Field Values

### CHART__SAMPLE_DATA

static final int CHART__SAMPLE_DATA
The feature id for the 'Sample Data' containment reference.

See Also:
  - Constant Field Values

### CHART__STYLES

static final int CHART__STYLES
The feature id for the 'Styles' containment reference list.

See Also:
  - Constant Field Values

### CHART__INTERACTIVITY

static final int CHART__INTERACTIVITY
The feature id for the 'Interactivity' containment reference.

See Also:
  - Constant Field Values

### CHART__EMPTY_MESSAGE

static final int CHART__EMPTY_MESSAGE
The feature id for the 'Empty Message' containment reference.

See Also:
  - Constant Field Values

### CHART_FEATURE_COUNT

static final int CHART_FEATURE_COUNT
The number of structural features of the 'Chart' class.

See Also:
  - Constant Field Values

### CHART_WITH_AXES

static final int CHART_WITH_AXES
The meta object id for the '`Chart With Axes`' class.

See Also:
  - `ChartWithAxesImpl`
  - `ModelPackageImpl.getChartWithAxes()`
  - Constant Field Values

### CHART_WITH_AXES__VERSION

static final int CHART_WITH_AXES__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__TYPE

static final int CHART_WITH_AXES__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__SUB_TYPE

static final int CHART_WITH_AXES__SUB_TYPE
The feature id for the 'Sub Type' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__DESCRIPTION

static final int CHART_WITH_AXES__DESCRIPTION
The feature id for the 'Description' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__BLOCK

static final int CHART_WITH_AXES__BLOCK
The feature id for the 'Block' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__DIMENSION

static final int CHART_WITH_AXES__DIMENSION
The feature id for the 'Dimension' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__SCRIPT

static final int CHART_WITH_AXES__SCRIPT
The feature id for the 'Script' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__UNITS

static final int CHART_WITH_AXES__UNITS
The feature id for the 'Units' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__SERIES_THICKNESS

static final int CHART_WITH_AXES__SERIES_THICKNESS
The feature id for the 'Series Thickness' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__GRID_COLUMN_COUNT

static final int CHART_WITH_AXES__GRID_COLUMN_COUNT
The feature id for the 'Grid Column Count' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__EXTENDED_PROPERTIES

static final int CHART_WITH_AXES__EXTENDED_PROPERTIES
The feature id for the 'Extended Properties' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__SAMPLE_DATA

static final int CHART_WITH_AXES__SAMPLE_DATA
The feature id for the 'Sample Data' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__STYLES

static final int CHART_WITH_AXES__STYLES
The feature id for the 'Styles' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__INTERACTIVITY

static final int CHART_WITH_AXES__INTERACTIVITY
The feature id for the 'Interactivity' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__EMPTY_MESSAGE

static final int CHART_WITH_AXES__EMPTY_MESSAGE
The feature id for the 'Empty Message' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__AXES

static final int CHART_WITH_AXES__AXES
The feature id for the 'Axes' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__WALL_FILL

static final int CHART_WITH_AXES__WALL_FILL
The feature id for the 'Wall Fill' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__FLOOR_FILL

static final int CHART_WITH_AXES__FLOOR_FILL
The feature id for the 'Floor Fill' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__ORIENTATION

static final int CHART_WITH_AXES__ORIENTATION
The feature id for the 'Orientation' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__UNIT_SPACING

static final int CHART_WITH_AXES__UNIT_SPACING
The feature id for the 'Unit Spacing' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__ROTATION

static final int CHART_WITH_AXES__ROTATION
The feature id for the 'Rotation' containment reference.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__REVERSE_CATEGORY

static final int CHART_WITH_AXES__REVERSE_CATEGORY
The feature id for the 'Reverse Category' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES__STUDY_LAYOUT

static final int CHART_WITH_AXES__STUDY_LAYOUT
The feature id for the 'Study Layout' attribute.

See Also:
  - Constant Field Values

### CHART_WITH_AXES_FEATURE_COUNT

static final int CHART_WITH_AXES_FEATURE_COUNT
The number of structural features of the 'Chart With Axes' class.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES

static final int CHART_WITHOUT_AXES
The meta object id for the '`Chart Without Axes`' class.

See Also:
  - `ChartWithoutAxesImpl`
  - `ModelPackageImpl.getChartWithoutAxes()`
  - Constant Field Values

### CHART_WITHOUT_AXES__VERSION

static final int CHART_WITHOUT_AXES__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__TYPE

static final int CHART_WITHOUT_AXES__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__SUB_TYPE

static final int CHART_WITHOUT_AXES__SUB_TYPE
The feature id for the 'Sub Type' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__DESCRIPTION

static final int CHART_WITHOUT_AXES__DESCRIPTION
The feature id for the 'Description' containment reference.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__BLOCK

static final int CHART_WITHOUT_AXES__BLOCK
The feature id for the 'Block' containment reference.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__DIMENSION

static final int CHART_WITHOUT_AXES__DIMENSION
The feature id for the 'Dimension' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__SCRIPT

static final int CHART_WITHOUT_AXES__SCRIPT
The feature id for the 'Script' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__UNITS

static final int CHART_WITHOUT_AXES__UNITS
The feature id for the 'Units' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__SERIES_THICKNESS

static final int CHART_WITHOUT_AXES__SERIES_THICKNESS
The feature id for the 'Series Thickness' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__GRID_COLUMN_COUNT

static final int CHART_WITHOUT_AXES__GRID_COLUMN_COUNT
The feature id for the 'Grid Column Count' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__EXTENDED_PROPERTIES

static final int CHART_WITHOUT_AXES__EXTENDED_PROPERTIES
The feature id for the 'Extended Properties' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__SAMPLE_DATA

static final int CHART_WITHOUT_AXES__SAMPLE_DATA
The feature id for the 'Sample Data' containment reference.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__STYLES

static final int CHART_WITHOUT_AXES__STYLES
The feature id for the 'Styles' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__INTERACTIVITY

static final int CHART_WITHOUT_AXES__INTERACTIVITY
The feature id for the 'Interactivity' containment reference.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__EMPTY_MESSAGE

static final int CHART_WITHOUT_AXES__EMPTY_MESSAGE
The feature id for the 'Empty Message' containment reference.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__SERIES_DEFINITIONS

static final int CHART_WITHOUT_AXES__SERIES_DEFINITIONS
The feature id for the 'Series Definitions' containment reference list.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__MIN_SLICE

static final int CHART_WITHOUT_AXES__MIN_SLICE
The feature id for the 'Min Slice' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__MIN_SLICE_PERCENT

static final int CHART_WITHOUT_AXES__MIN_SLICE_PERCENT
The feature id for the 'Min Slice Percent' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__MIN_SLICE_LABEL

static final int CHART_WITHOUT_AXES__MIN_SLICE_LABEL
The feature id for the 'Min Slice Label' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES__COVERAGE

static final int CHART_WITHOUT_AXES__COVERAGE
The feature id for the 'Coverage' attribute.

See Also:
  - Constant Field Values

### CHART_WITHOUT_AXES_FEATURE_COUNT

static final int CHART_WITHOUT_AXES_FEATURE_COUNT
The number of structural features of the 'Chart Without Axes' class.

See Also:
  - Constant Field Values

### DIAL_CHART

static final int DIAL_CHART
The meta object id for the '`Dial Chart`' class.

See Also:
  - `DialChartImpl`
  - `ModelPackageImpl.getDialChart()`
  - Constant Field Values

### DIAL_CHART__VERSION

static final int DIAL_CHART__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__TYPE

static final int DIAL_CHART__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__SUB_TYPE

static final int DIAL_CHART__SUB_TYPE
The feature id for the 'Sub Type' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__DESCRIPTION

static final int DIAL_CHART__DESCRIPTION
The feature id for the 'Description' containment reference.

See Also:
  - Constant Field Values

### DIAL_CHART__BLOCK

static final int DIAL_CHART__BLOCK
The feature id for the 'Block' containment reference.

See Also:
  - Constant Field Values

### DIAL_CHART__DIMENSION

static final int DIAL_CHART__DIMENSION
The feature id for the 'Dimension' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__SCRIPT

static final int DIAL_CHART__SCRIPT
The feature id for the 'Script' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__UNITS

static final int DIAL_CHART__UNITS
The feature id for the 'Units' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__SERIES_THICKNESS

static final int DIAL_CHART__SERIES_THICKNESS
The feature id for the 'Series Thickness' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__GRID_COLUMN_COUNT

static final int DIAL_CHART__GRID_COLUMN_COUNT
The feature id for the 'Grid Column Count' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__EXTENDED_PROPERTIES

static final int DIAL_CHART__EXTENDED_PROPERTIES
The feature id for the 'Extended Properties' containment reference list.

See Also:
  - Constant Field Values

### DIAL_CHART__SAMPLE_DATA

static final int DIAL_CHART__SAMPLE_DATA
The feature id for the 'Sample Data' containment reference.

See Also:
  - Constant Field Values

### DIAL_CHART__STYLES

static final int DIAL_CHART__STYLES
The feature id for the 'Styles' containment reference list.

See Also:
  - Constant Field Values

### DIAL_CHART__INTERACTIVITY

static final int DIAL_CHART__INTERACTIVITY
The feature id for the 'Interactivity' containment reference.

See Also:
  - Constant Field Values

### DIAL_CHART__EMPTY_MESSAGE

static final int DIAL_CHART__EMPTY_MESSAGE
The feature id for the 'Empty Message' containment reference.

See Also:
  - Constant Field Values

### DIAL_CHART__SERIES_DEFINITIONS

static final int DIAL_CHART__SERIES_DEFINITIONS
The feature id for the 'Series Definitions' containment reference list.

See Also:
  - Constant Field Values

### DIAL_CHART__MIN_SLICE

static final int DIAL_CHART__MIN_SLICE
The feature id for the 'Min Slice' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__MIN_SLICE_PERCENT

static final int DIAL_CHART__MIN_SLICE_PERCENT
The feature id for the 'Min Slice Percent' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__MIN_SLICE_LABEL

static final int DIAL_CHART__MIN_SLICE_LABEL
The feature id for the 'Min Slice Label' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__COVERAGE

static final int DIAL_CHART__COVERAGE
The feature id for the 'Coverage' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART__DIAL_SUPERIMPOSITION

static final int DIAL_CHART__DIAL_SUPERIMPOSITION
The feature id for the 'Dial Superimposition' attribute.

See Also:
  - Constant Field Values

### DIAL_CHART_FEATURE_COUNT

static final int DIAL_CHART_FEATURE_COUNT
The number of structural features of the 'Dial Chart' class.

See Also:
  - Constant Field Values

### COVERAGE_TYPE

static final int COVERAGE_TYPE
The meta object id for the 'Coverage Type' data type.

See Also:
  - `ModelPackageImpl.getCoverageType()`
  - Constant Field Values

### COVERAGE_TYPE_OBJECT

static final int COVERAGE_TYPE_OBJECT
The meta object id for the 'Coverage Type Object' data type.

See Also:
  - `Double`
  - `ModelPackageImpl.getCoverageTypeObject()`
  - Constant Field Values

## Method Details

### getChart

org.eclipse.emf.ecore.EClass getChart()
Returns the meta object for class ' `Chart`'.

Returns:
  the meta object for class 'Chart'.
See Also:
  - `Chart`

### getChart_Version

org.eclipse.emf.ecore.EAttribute getChart_Version()
Returns the meta object for the attribute '`Version`'.

Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `Chart.getVersion()`
  - `getChart()`

### getChart_Type

org.eclipse.emf.ecore.EAttribute getChart_Type()
Returns the meta object for the attribute ' `Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Chart.getType()`
  - `getChart()`

### getChart_SubType

org.eclipse.emf.ecore.EAttribute getChart_SubType()
Returns the meta object for the attribute '`Sub Type`'.

Returns:
  the meta object for the attribute 'Sub Type'.
See Also:
  - `Chart.getSubType()`
  - `getChart()`

### getChart_Description

org.eclipse.emf.ecore.EReference getChart_Description()
Returns the meta object for the containment reference '`Description`'.

Returns:
  the meta object for the containment reference 'Description'.
See Also:
  - `Chart.getDescription()`
  - `getChart()`

### getChart_Block

org.eclipse.emf.ecore.EReference getChart_Block()
Returns the meta object for the containment reference '`Block`'.

Returns:
  the meta object for the containment reference 'Block'.
See Also:
  - `Chart.getBlock()`
  - `getChart()`

### getChart_Dimension

org.eclipse.emf.ecore.EAttribute getChart_Dimension()
Returns the meta object for the attribute '`Dimension`'.

Returns:
  the meta object for the attribute 'Dimension'.
See Also:
  - `Chart.getDimension()`
  - `getChart()`

### getChart_Script

org.eclipse.emf.ecore.EAttribute getChart_Script()
Returns the meta object for the attribute '`Script`'.

Returns:
  the meta object for the attribute 'Script'.
See Also:
  - `Chart.getScript()`
  - `getChart()`

### getChart_Units

org.eclipse.emf.ecore.EAttribute getChart_Units()
Returns the meta object for the attribute '`Units`'.

Returns:
  the meta object for the attribute 'Units'.
See Also:
  - `Chart.getUnits()`
  - `getChart()`

### getChart_SeriesThickness

org.eclipse.emf.ecore.EAttribute getChart_SeriesThickness()
Returns the meta object for the attribute '`Series Thickness`'.

Returns:
  the meta object for the attribute 'Series Thickness'.
See Also:
  - `Chart.getSeriesThickness()`
  - `getChart()`

### getChart_GridColumnCount

org.eclipse.emf.ecore.EAttribute getChart_GridColumnCount()
Returns the meta object for the attribute '`Grid Column Count`'.

Returns:
  the meta object for the attribute 'Grid Column Count'.
See Also:
  - `Chart.getGridColumnCount()`
  - `getChart()`

### getChart_ExtendedProperties

org.eclipse.emf.ecore.EReference getChart_ExtendedProperties()
Returns the meta object for the containment reference list '`Extended Properties`'.

Returns:
  the meta object for the containment reference list 'Extended Properties'.
See Also:
  - `Chart.getExtendedProperties()`
  - `getChart()`

### getChart_SampleData

org.eclipse.emf.ecore.EReference getChart_SampleData()
Returns the meta object for the containment reference '`Sample Data`'.

Returns:
  the meta object for the containment reference 'Sample Data'.
See Also:
  - `Chart.getSampleData()`
  - `getChart()`

### getChart_Styles

org.eclipse.emf.ecore.EReference getChart_Styles()
Returns the meta object for the containment reference list '`Styles`'.

Returns:
  the meta object for the containment reference list 'Styles'.
See Also:
  - `Chart.getStyles()`
  - `getChart()`

### getChart_Interactivity

org.eclipse.emf.ecore.EReference getChart_Interactivity()
Returns the meta object for the containment reference '`Interactivity`'.

Returns:
  the meta object for the containment reference 'Interactivity'.
See Also:
  - `Chart.getInteractivity()`
  - `getChart()`

### getChart_EmptyMessage

org.eclipse.emf.ecore.EReference getChart_EmptyMessage()
Returns the meta object for the containment reference '`Empty Message`'.

Returns:
  the meta object for the containment reference 'Empty Message'.
See Also:
  - `Chart.getEmptyMessage()`
  - `getChart()`

### getChartWithAxes

org.eclipse.emf.ecore.EClass getChartWithAxes()
Returns the meta object for class '`Chart With Axes`'.

Returns:
  the meta object for class 'Chart With Axes'.
See Also:
  - `ChartWithAxes`

### getChartWithAxes_Axes

org.eclipse.emf.ecore.EReference getChartWithAxes_Axes()
Returns the meta object for the containment reference list '`Axes`'.

Returns:
  the meta object for the containment reference list 'Axes'.
See Also:
  - `ChartWithAxes.getAxes()`
  - `getChartWithAxes()`

### getChartWithAxes_WallFill

org.eclipse.emf.ecore.EReference getChartWithAxes_WallFill()
Returns the meta object for the containment reference '`Wall Fill`'.

Returns:
  the meta object for the containment reference 'Wall Fill'.
See Also:
  - `ChartWithAxes.getWallFill()`
  - `getChartWithAxes()`

### getChartWithAxes_FloorFill

org.eclipse.emf.ecore.EReference getChartWithAxes_FloorFill()
Returns the meta object for the containment reference '`Floor Fill`'.

Returns:
  the meta object for the containment reference 'Floor Fill'.
See Also:
  - `ChartWithAxes.getFloorFill()`
  - `getChartWithAxes()`

### getChartWithAxes_Orientation

org.eclipse.emf.ecore.EAttribute getChartWithAxes_Orientation()
Returns the meta object for the attribute '`Orientation`'.

Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `ChartWithAxes.getOrientation()`
  - `getChartWithAxes()`

### getChartWithAxes_UnitSpacing

org.eclipse.emf.ecore.EAttribute getChartWithAxes_UnitSpacing()
Returns the meta object for the attribute '`Unit Spacing`'.

Returns:
  the meta object for the attribute 'Unit Spacing'.
See Also:
  - `ChartWithAxes.getUnitSpacing()`
  - `getChartWithAxes()`

### getChartWithAxes_Rotation

org.eclipse.emf.ecore.EReference getChartWithAxes_Rotation()
Returns the meta object for the containment reference '`Rotation`'.

Returns:
  the meta object for the containment reference 'Rotation'.
See Also:
  - `ChartWithAxes.getRotation()`
  - `getChartWithAxes()`

### getChartWithAxes_ReverseCategory

org.eclipse.emf.ecore.EAttribute getChartWithAxes_ReverseCategory()
Returns the meta object for the attribute '`Reverse Category`'.

Returns:
  the meta object for the attribute 'Reverse Category'.
See Also:
  - `ChartWithAxes.isReverseCategory()`
  - `getChartWithAxes()`

### getChartWithAxes_StudyLayout

org.eclipse.emf.ecore.EAttribute getChartWithAxes_StudyLayout()
Returns the meta object for the attribute '`Study Layout`'.

Returns:
  the meta object for the attribute 'Study Layout'.
See Also:
  - `ChartWithAxes.isStudyLayout()`
  - `getChartWithAxes()`

### getChartWithoutAxes

org.eclipse.emf.ecore.EClass getChartWithoutAxes()
Returns the meta object for class '`Chart Without Axes`'.

Returns:
  the meta object for class 'Chart Without Axes'.
See Also:
  - `ChartWithoutAxes`

### getChartWithoutAxes_SeriesDefinitions

org.eclipse.emf.ecore.EReference getChartWithoutAxes_SeriesDefinitions()
Returns the meta object for the containment reference list '`Series Definitions`'.

Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `ChartWithoutAxes.getSeriesDefinitions()`
  - `getChartWithoutAxes()`

### getChartWithoutAxes_MinSlice

org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSlice()
Returns the meta object for the attribute '`Min Slice`'.

Returns:
  the meta object for the attribute 'Min Slice'.
See Also:
  - `ChartWithoutAxes.getMinSlice()`
  - `getChartWithoutAxes()`

### getChartWithoutAxes_MinSlicePercent

org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSlicePercent()
Returns the meta object for the attribute '`Min Slice Percent`'.

Returns:
  the meta object for the attribute 'Min Slice Percent'.
See Also:
  - `ChartWithoutAxes.isMinSlicePercent()`
  - `getChartWithoutAxes()`

### getChartWithoutAxes_MinSliceLabel

org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSliceLabel()
Returns the meta object for the attribute '`Min Slice Label`'.

Returns:
  the meta object for the attribute 'Min Slice Label'.
See Also:
  - `ChartWithoutAxes.getMinSliceLabel()`
  - `getChartWithoutAxes()`

### getChartWithoutAxes_Coverage

org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_Coverage()
Returns the meta object for the attribute '`Coverage`'.

Returns:
  the meta object for the attribute 'Coverage'.
See Also:
  - `ChartWithoutAxes.getCoverage()`
  - `getChartWithoutAxes()`

### getDialChart

org.eclipse.emf.ecore.EClass getDialChart()
Returns the meta object for class '`Dial Chart`'.

Returns:
  the meta object for class 'Dial Chart'.
See Also:
  - `DialChart`

### getDialChart_DialSuperimposition

org.eclipse.emf.ecore.EAttribute getDialChart_DialSuperimposition()
Returns the meta object for the attribute '`Dial Superimposition`'.

Returns:
  the meta object for the attribute 'Dial Superimposition'.
See Also:
  - `DialChart.isDialSuperimposition()`
  - `getDialChart()`

### getCoverageType

org.eclipse.emf.ecore.EDataType getCoverageType()
Returns the meta object for data type 'Coverage Type'.

Returns:
  the meta object for data type 'Coverage Type'.

### getCoverageTypeObject

org.eclipse.emf.ecore.EDataType getCoverageTypeObject()
Returns the meta object for data type '`Coverage Type Object`'.

Returns:
  the meta object for data type 'Coverage Type Object'.
See Also:
  - `Double`

### getModelFactory

ModelFactory getModelFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.